/*-------------------------------------------------------
                                               
   Programa: TEST.PRG                            
   Funci?n.: Muesta el Manejo de SQL con Potstgress 
             con comando SQL Nativo para Express                                    

   Autor...: Nolberto Paulino                   
             Republica Dominicana                                   

   Fecha...: 01-09-2017

   Empresa.: DIGISOFT AYCONT SRL.                     

   EMail...: digitsoft26@hotmail.com
   	     digitsoft26@gmail.com
   	     digitsoft26@yahoo.com 
  
  NOTA:
       Los Campo de (Foto) Tienen que ser de tipo
       character varying o Text con un minimo de tama?o
       de 81000 caracteres
  -------------------------------------------------------*/
 
#command PGSQL CONNECTION SERVER <__cHost> [DATABASE <__cDatabase>] USERNAME <__cUser> PASSWORD <__cPass> [PORT <__nPort>] [SCHEMAS <__Schema>] TO <__oConn>  ;
     => <__oConn> := XBPGSQL():NEW( <__cHost>,<__cDatabase>,<__cUser>,<__cPass>,<__nPort>,<__Schema> )
   
#command SELECT      <__cSelect>                     ;
         FROM        <__cTable>                      ;
         [WHERE      <__cWhere>]                     ;
         [LIKE       <__cLike>]                      ;
         [INNER JOIN <__cInnerJoin>  ON <__cOn>]     ;
         [ORDER BY   <__cOrderBy>]                   ;
         [GROUP BY   <__cGroupBy>]                   ;
         [HAVING     <__cHaving>]                    ;
         [<__lDescend:  DESCEND>]                    ;
         [LIMIT      <__nLimit>]                     ;
         [<__lNoBusy:  NOBUSY>]                      ;
         [AUTOMATIC UPDATE <__aUpdate>  SET <__Set>] ;
         [FIELD PICTURE <__fPicture>]                ;
         CONNECTION  <__oConn> TO <__oCursor>        ;
         [eval     <__bEval>]                        ;
     =>  <__oCursor> := PGSQL(<__oConn>,<__cTable>,,<__cSelect>,<__cWhere>,<__cHaving>,{<__cInnerJoin>},{<__cOn>},<__cOrderBy>,<__cLike>,<__cGroupBy>,<.__lDescend.>,<__nLimit>,<.__lNoBusy.>,<__aUpdate>,<__Set>,<__fPicture>):new() ;
                        [;eval(<__bEval>)]

#command RECORD REFRESH <__oCursor>              ;
         [SELECT     <__cSelect>]                ;
         [FROM       <__cTable>]                 ;
         [WHERE      <__cWhere>]                 ;
         [LIKE       <__cLike>]                  ;
         [INNER JOIN <__cInnerJoin>  ON <__cOn>] ;
         [ORDER BY   <__cOrderBy>]               ;
         [GROUP BY   <__cGroupBy>]               ;
         [HAVING     <__cHaving>]                ;
         [<__lDescend:  DESCEND>]                ;
         [LIMIT      <__nLimit>]                 ;
         [<__lNoBusy:  NOBUSY>]                  ;
         [<__lChange:  CHANGE>]                  ;
         CONNECTION  <__oConn>                   ;
         [eval     <__bEval>]                    ;
     =>  SQLRefresh(<__oConn>,@<__oCursor>,<__cTable>,<__cSelect>,<__cWhere>,<__cHaving>,<__cInnerJoin>,<__cOn>,<__cOrderBy>,<__cLike>,<__cGroupBy>,<.__lDescend.>,<__nLimit>,<.__lNoBusy.>,<.__lChange.>) ;
         [;eval(<__bEval>)]

#command RECORD UPDATE <__cTable> ;
     =>  <__cTable>:RecordUpdate(  )

#command RECORD INSERT <__cTable> ;
     =>  <__cTable>:RecordInsert(  )

#command RECORD CANCEL <__cTable> ;
     =>  <__cTable>:RecordCancel(  )

#command RECORD DELETE <__cTable> ;
     =>  <__cTable>:RecordDelete(  )

#command RECORD BLANK <__cTable> ;
     =>  <__cTable>:RecordBlank(  )
     
#command CLOSE DATABASE  <__cTable> [[,] <__cnTable> ] ;
     =>  <__cTable>:DESTROY(  ) [; <__cnTable>:DESTROY(  ) ]
