/*-------------------------------------------------------
                                               
   Programa: TEST.PRG                            
   Funci?n.: Muesta el Manejo de SQL con Potstgress 
             con comando SQL Nativo para Express                                    

   Autor...: Nolberto Paulino                   
             Republica Dominicana   
             Usando un wrapper de la dll postgrest de 
             Pablo Botella y una Clase de Hector Pezoa

   Fecha...: 01-09-2017

   Empresa.: DIGISOFT AYCONT SRL.                     

   EMail...: digitsoft26@hotmail.com
   	     digitsoft26@gmail.com
   	     digitsoft26@yahoo.com 
  
  NOTA:
       Los Campo de (Foto) Tienen que ser de tipo
       character varying o Text con un minimo de tama?o
       de 81000 caracteres
  -------------------------------------------------------*/

MEMVAR cHost,cUser,cPass,nPort


//-- Includes ----------------------------------------------------------------//

#include "xbpgsql.ch"
#include "InKey.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "ot4xb.ch"
#include "libpq4xb.ch"

#INCLUDE "dcdialog.ch"
#INCLUDE "appevent.ch"  
#INCLUDE "dcbitmap.ch"
#INCLUDE "dcicon.ch"
#INCLUDE "DCMSG.ch"
#INCLUDE "GRA.CH"
#INCLUDE "FONT.CH"
#INCLUDE "xbp.ch"
#INCLUDE "dcprint.ch"
#INCLUDE "dcgra.ch"
#include "os.ch"
#include "XEXPRESS.ch"



//-- Modulo principal --------------------------------------------------------//

FUNCTION main( )
    local GetList  := {}, oDlg, oConn, xRow := 0.0
    local cDatabase:= "dxc"  &&  surtidora   perezmata
    local cRuta := "" &&"C:\dxc\datos\EMP01\" &&& "c:\db\"
    local aDbfFiles := Directory(cRuta+"*.DBF"), cTable, aDbStruct, cFields, cValues, cValor, cSql, i, ii
    local nTiempo := 0, lOk := .F.
    
    PUBLIC cHost,cUser,cPass,nPort

    cHost := "localhost"+SPACE(10) && "localhost"  "server2"  "perezmata.dyndns.org"
    cUser := "postgres"+SPACE(10)
    cPass := SPACE(12)
    nPort := 5432

    
**  SET CHARSET TO ANSI
    set century on
    set date italian 
**    set date american
**    set date GERMAN
**    set date japan

    //coneccion con el server
    // comprobar de que no haya error en la coneccion con el server
       
    do while (nTiempo++ <=3)
       cPass    := SPACE(12)
       @ xRow+=0.0,001.0  DCSAY "HostName:"   GET cHost  PICT "@k"   GETPOS xRow-0.1,10.0 
       @ xRow+=1.1,001.0  DCSAY "NumberPort:" GET nPort  PICT "9999" GETPOS xRow-0.1,10.0 
       @ xRow+=1.1,001.0  DCSAY "UserName:"   GET cUser  PICT "@k"   GETPOS xRow-0.1,10.0
       @ xRow+=1.1,001.0  DCSAY "PassWord:"   GET cPass  PICT "@k"   GETPOS xRow-0.1,10.0  PASSWORD

       @ xRow+=2.1,001.0      DCPUSHBUTTON CAPTION "Connect"  SIZE 08.00,1.8   ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK   ,GetList) }
       @ xRow+=0.0,xCol()+1.0 DCPUSHBUTTON CAPTION "Cancel"   SIZE 08.00,1.8   ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_ABORT,GetList) }

       DCREAD GUI FIT TITLE "Connection Server" TO lOk
       if lOk
          ? "Conectando con",alltrim(cHost)
          PGSQL CONNECTION SERVER ALLTRIM(cHost)  USERNAME ALLTRIM(cUser) PASSWORD ALLTRIM(cPass) PORT nPort TO oConn
          if !oConn:lError
             ?? " Ok" ; exit
          else
             ?? " Error"
             lOk := .F.   
          END if
       END if 
    END do
    if !lOk
       quit
    END if
   
   ? "Conectado a",cHost


   ? "Verificando Base de Datos:",cDatabase
  
   if !oConn:Db_Exist( cDatabase )
      ? "Creando Base de Datos:",cDatabase,oConn:Db_Create( cDatabase )
      ?? " Ok"
   else
      ?? " Ok"
   END if
   oConn:Close()
  
   PGSQL CONNECTION SERVER ALLTRIM(cHost) DATABASE "dxc" USERNAME ALLTRIM(cUser) PASSWORD ALLTRIM(cPass) PORT nPort TO oConn
   if oConn:lError
      ? "Error Conectando con Servidor"
      INKEY(1)
      quit
   END if

/*
? OrdKey("C_LastName")     // result: Upper(LASTNAME+FIRSTNAME)
? OrdName(2)        // Tagname
*/
   for i := 1 to len(aDbfFiles)
       cTable := lower(substr(aDbfFiles[i][1],1,AT(".",aDbfFiles[i][1])-1))
       DbUseArea( .T., "FOXCDX",cRuta+cTable+".DBF", cTable)
       aDbStruct := DbStruct()
       ? "Verificando Tabla:",cTable
       if !oConn:ExistTables(cTable)
          ?? " Ok"
          ? "Creando Tabla:",cTable
          oConn:CreateTable(cTable,aDbStruct)
          ?? " Ok"
         
          ? "Creando Campo de Foto en :",cTable
          cSql := "ALTER TABLE " + oConn:sChema + "."+lower(cTable)+" ADD  foto  CHARACTER VARYING"
          oConn:Execute( cSql )    
          ?? " Ok"

          ? "Importeado Tabla:",cTable," con ",VAR2CHAR(FCount()),"Campos y ",VAR2CHAR(Reccount()),"Registros"

          go top
          do while !eof()
             cFields := cValues := ""          
             for ii := 1 to FCount()
                 cValor := FieldGet(ii)
                 if !empt(cValor) 
                    if valtype(cValor)="N"     ; cValues += var2char(cValor) + ","
                    elseif valtype(cValor)="D" ; cValues += DtoQ(cValor) + ","    
                    elseif valtype(cValor)="L" ; cValues += StoQ(IIF(cValor,"t","f")) + ","
                    else                       ; cValues += StoQ(ConvToAnsiCP(cValor)) + "," 
                    END if 
                    cFields += lower(FieldName(ii))+","
                 END if
             next ii        
             cFields := substr(cFields,1,len(cFields)-1)
             cValues := substr(cValues,1,len(cValues)-1)
             if !empt(cValues)
                cSql := "INSERT INTO " + oConn:sChema + "."+lower(cTable)+" ( "+cFields+" ) VALUES ( "+cValues+" )"
             END if
             oConn:Execute( cSql )    
                    
             skip(1)
          END do
       END if
       ?? " Ok"
       DbCloseAll()
   next i
   ? "Cerrando Conexion"
   
   oConn:Close()
   ? "Cargando Test"
   
   Test()
   
   // Liberamos la memoria de la conexion  ---  liberate the memory of the connection
     
   return threadobject():quit() 


PROCEDURE APPSYS_
return
  
