/*-------------------------------------------------------
                                               
   Programa: TEST.PRG                            
   Funci?n.: Muesta el Manejo de SQL con Potstgress 
             con comando SQL Nativo para Express                                    

   Autor...: Nolberto Paulino                   
             Republica Dominicana   
             Usando un wrapper de la dll postgrest de 
             Pablo Botella y una Clase de Hector Pezoa

   Fecha...: 01-09-2017

   Empresa.: DIGISOFT AYCONT SRL.                     

   EMail...: digitsoft26@hotmail.com
   	     digitsoft26@gmail.com
   	     digitsoft26@yahoo.com 
  
  NOTA:
       Los Campo de (Foto) Tienen que ser de tipo
       character varying o Text con un minimo de tama?o
       de 81000 caracteres
  -------------------------------------------------------*/


//-- Includes ----------------------------------------------------------------//

#include "xbpgsql.ch"

#include "InKey.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "ot4xb.ch"
#include "libpq4xb.ch"

#INCLUDE "dcdialog.ch"
#INCLUDE "appevent.ch"  
#INCLUDE "dcbitmap.ch"
#INCLUDE "dcicon.ch"
#INCLUDE "DCMSG.ch"
#INCLUDE "GRA.CH"
#INCLUDE "FONT.CH"
#INCLUDE "xbp.ch"
#INCLUDE "dcprint.ch"
#INCLUDE "dcgra.ch"
#include "os.ch"
#include "XEXPRESS.ch"


#DEFINE  oDlg          aApp[01]
#DEFINE  oDXCAM01      aApp[02]
#DEFINE  obrDXCAM01    aApp[03] 
#DEFINE  cBuscarxx     aApp[04]
#DEFINE  oBuscar       aApp[05]
#DEFINE  cOrderBy      aApp[06]
#DEFINE  oClipPicture  aApp[07]
#DEFINE  lEdit         aApp[08]

MEMVAR cHost,cUser,cPass,nPort

 
//-- Modulos auxiliares  ------------------------------------------------------//
FUNCTION Test( oDialog, xCodCli )
   local GetList := {}, aApp[15], GetOptions, i, ii, oConn
   local oBrowse, oMyGroup1, oMyGroup2, oMyGroup3, oMenu, ocodcli
   local cBuscar := SPACE(100)
   local xRow := 0, xCol := 0, oCheck
   local aOrderBy := {}, llOpcion1 := .T., lOpcion2 := .F.
   local bSQLSeek := {|| SQLSeek(oConn,"dxcam01e","dxcam01e.codcli="+StoQ(oDXCAM01:codcli),"codcli","existencia") }
   local pRes,cSql, xx := "", x:= ""
   local cDatabase:= "dxc"     && surtidora   perezmata
   local cUsuario := "NOLBERTO PAULINO", oNombre
   
   PGSQL CONNECTION SERVER ALLTRIM(cHost) DATABASE cDatabase USERNAME ALLTRIM(cUser) PASSWORD ALLTRIM(cPass) PORT nPort TO oConn
   if oConn:lError
      quit
   END if   

   lEdit := .F.
   
   select 'dxcam01.recno,dxcam01.codcli,dxcam01.nombre,dxcam01.apell,dxcam01.direccion,dxcam01.direccion2,dxcam01.feching,dxcam01.datacredit' ;
   FROM 'dxcam01' ;
   ORDER BY 'dxcam01.recno' ;
   LIMIT 1 ;
   AUTOMATIC UPDATE {"dxcam01.ID_USUARIO","dxcam01.ID_FECHA","dxcam01.ID_HORA"} SET { {||cUsuario},{||date()},{|| AMPM(time()) } } ;
   FIELD PICTURE "foto" ;
   CONNECTION oConn TO oDXCAM01

   select 'dxcam01.recno,dxcam01.codcli,dxcam01.nombre,dxcam01.apell,dxcam01.direccion' ;
   FROM 'dxcam01' ;
   ORDER BY 'dxcam01.nombre' ;
   CONNECTION oConn TO obrDXCAM01

   if !empt(xCodCli)
      oDXCAM01:seek(xCodCli,"codcli")
   END if
   
   cOrderBy := obrDXCAM01:sort()
   for i := 1 to oDXCAM01:FCount()
       AADD(aOrderBy,oDXCAM01:FieldName(i))
   next i
   
   @ 1.0,0 DCGROUP oMyGroup1 CAPTION "Test-Get" SIZE 70.0,08.0
     @ xRow+=1.1,01.0 DCSAY "N Cliente:"  GET oDXCAM01:codcli  PICT "@!K" ;
                      POPUP {|o| oDXCAM01:codcli := xbPopBrowse( oConn, "Consulta de Cliente", 60.3, 19, oDXCAM01:codcli, "codcli", aCliente( ), "dxcam01", , "dxcam01.nombre", "foto", , ,{"Test",{{"estatus","N",.T.},{"estatus","C",.F.}} } ) }; 
                      GETPOS xRow-0.1,15.0 ; 
                      GETOBJECT ocodcli ;
                      VALID {|| ValidarCampo(1,aApp,GetList) } ;
                      PARENT oMyGroup1 ;
                      WHEN  {|| lEdit }
     @ xRow-00.2,38.4 TOOLSBAR oDXCAM01   PARENT @oMyGroup1  eval {|| RecordGet( aApp, GetList ) } ; 
                      USER { {"Usuario","id_usuario"}, {"Fecha","id_Fecha"}, {"Hora","id_hora"}} ;
                      CONNECTION oConn
                                            
     @ xRow+=1.1,01.0 DCSAY "Nombres:"  GET oDXCAM01:nombre  PICT "@!K" ;
                      GETPOS xRow-0.1,15.0 ; 
                      GETSIZE 54.0 ;
                      GETOBJECT oNombre ;
                      PARENT oMyGroup1 ;
                      WHEN  {|| lEdit }
     @ xRow+=1.1,01.0 DCSAY "Apellidos:"  GET oDXCAM01:Apell  PICT "@!K" ;
                      GETPOS xRow-0.1,15.0 ; 
                      GETSIZE 40.0 ;
                      PARENT oMyGroup1 ;
                      WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }


    /* ---- Print Pop-up Menu ---- */
     @ xRow-00.10,56.0 BITMAP oClipPicture ;  &&         [CAPTION    <__cCaption>]                 ;
                       TABLE oDXCAM01 ;
                       SIZE 13.00,04.65 ;
                       PARENT @oMyGroup1 
              
     @ xRow+=1.14,01.0 DCSAY "Direccin 1:"  GET oDXCAM01:Direccion  PICT "@!K" ;
                       GETPOS xRow-0.1,15.0 ; 
                       GETSIZE 40.0 ;
                       PARENT oMyGroup1 ;
                       WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }
     @ xRow+=1.14,01.0 DCSAY "Direccin 2:"  GET oDXCAM01:Direccion2  PICT "@!K" ;
                       GETPOS xRow-0.1,15.0 ; 
                       GETSIZE 40.0 ;
                       PARENT oMyGroup1 ;
                       WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }
          
     @ xRow+=1.1,01.0 DCSAY "Fecha de Registro:"  GET oDXCAM01:feching  PICT "@D" ;
                      GETPOS xRow-0.1,15.0 ; 
                      POPUP {|o| xbPopBrowse( oConn, "Consulta de Cliente", 60.3, 19, oDXCAM01:codcli, "codcli", aCliente( ), "dxcam01", , "dxcam01.nombre") }; 
                      PARENT oMyGroup1 ;
                      WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }
     @ xRow+=0.0,35.0 DCCHECKBOX  oDXCAM01:datacredit       PROMPT "DataCredito"         MESSAGE "DataCredito" PARENT oMyGroup1  WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }


/*

     @ xRow+=1.0,01.0 TOOLSBAR oDXCAM01   PARENT @oMyGroup1  eval {|| RecordGet( aApp, GetList ) } ;
                      USER { {"Usuario","id_usuario"}, {"Fecha","id_Fecha"}, {"Hora","id_hora"}} ;
                      BUTTOM SIZE 4,1.5 ; 
                      CONNECTION oConn
*/

    @ xRow+=2.8,0 DCGROUP oMyGroup2 CAPTION "Test-Browse" SIZE 70.0,15.3 
     @ 0.7,0.5        DCCOMBOBOX cOrderBy LIST aOrderBy TYPE XBPCOMBO_DROPDOWNLIST       SIZE 13.5,10.5 ;
                      ITEMSELECTED {|| obrDXCAM01:sort( cOrderBy ), oBrowse:RefreshAll()  } ;
                      PARENT oMyGroup2 ;
                      WHEN  {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }

     @ 0.7,xCol()+1.2 DCGET cBuscar  PICT "@!K" ;
                      GETSIZE 28.0,1.01 ;
                      GETOBJECT oBuscar ;
                      KEYBLOCK {|a,b,o|KeySeekBrow(a,b,oBuscar,oBrowse,@cBuscar, obrDXCAM01) } ;
                      PARENT oMyGroup2 
                                   
     @ 0.60,xCol()+0.0 DCPUSHBUTTON CAPTION "Siguiente" SIZE 08.00,1.18   PARENT oMyGroup2  ACTION {|| oDXCAM01:LocateNext(), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE,GETLIST_STATIC} ), SetAppFocus(oBuscar) 			    }
     @ 0.60,xCol()+0.0 DCPUSHBUTTON CAPTION "Like"      SIZE 06.00,1.18   PARENT oMyGroup2  ACTION {|| Like( @cBuscar, oConn, @oDXCAM01, cOrderBy ), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE,GETLIST_STATIC} ), SetAppFocus(oBuscar) }
     
     @ 0.65,xCol()+6.0 TOOLSBAR obrDXCAM01   PARENT @oMyGroup2  NORECNO eval {|| oBrowse:RefreshAll() } 

     @ 2.0,0.76 DCBROWSE oBrowse DATA obrDXCAM01  SIZE 69.0,13.0  ; && 69,13
                HEADLINES 2 ; 
                USEVISUALSTYLE ;
                CURSORMODE  XBPBRW_CURSOR_ROW ;
                ITEMSELECTED {|| RecordGet( aApp,GetList ) } ; 
                PRESENTATION SQLBrowPres( 17 ) ;
                ZEBRA {|l| SQLBrowseZebra(l) } ;
                PARENT oMyGroup2

                DCBROWSECOL DATA {|| obrDXCAM01:recno() }   HEADER "1;RECNO"         WIDTH 04  PARENT oBrowse  
                DCBROWSECOL DATA {|| obrDXCAM01:codcli  }   HEADER "N;CLIENTE"      WIDTH 05  PARENT oBrowse  
                DCBROWSECOL DATA {|| obrDXCAM01:nombre  }   HEADER ";NOMBRES"        WIDTH 15  PARENT oBrowse  
                DCBROWSECOL DATA {|| obrDXCAM01:apell   }   HEADER ";APELLIDOS"      WIDTH 15  PARENT oBrowse  
                DCBROWSECOL DATA {|| obrDXCAM01:feching }   HEADER "FECHA;REGISTRO"  WIDTH 06  PARENT oBrowse  PICTURE "@D"


     @ xRow+=15.8,xCol:=00.5 DCPUSHBUTTON CAPTION "Exit"             SIZE 06.80,1.8   ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList)                                    															      }  TOOLTIP "Update Record"   	                                 HIDE {|| lEdit }   
     @ xRow+=00.0,xCol+=00.0 DCPUSHBUTTON CAPTION "Cancel"           SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordCancel(  					      ), oBrowse:RefreshAll(), lEdit := .F. ,DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )                      }  TOOLTIP "Cancel Record"   			                 HIDE {|| !lEdit }  
     @ xRow+=00.0,xCol+=06.8 DCPUSHBUTTON CAPTION "Save"             SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordPut( "dxcam01.codcli="+StoQ(oDXCAM01:codcli) ), lEdit := .f., oBrowse:RefreshAll(), SetAppFocus(oCodCli), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )         }  TOOLTIP "Update/Insert Record"    WHEN {|| lEdit .AND. !EMPT(oDXCAM01:CodCli) }
     @ xRow+=00.0,xCol+=06.8 DCPUSHBUTTON CAPTION "New"              SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordBlank (.T.                                            ), lEdit := .T., DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} ),oBrowse:RefreshAll(), SetAppFocus(oCodCli) }  TOOLTIP "Blank  Record"           WHEN {|| oDXCAM01:recno>0 }   
     @ xRow+=00.0,xCol+=06.8 DCPUSHBUTTON CAPTION "Edit"             SIZE 06.80,1.8   ACTION {|| lEdit := .T., DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} ), SetAppFocus(oNombre)                                                                                              }  TOOLTIP "Edit Record"   	   WHEN {|| oDXCAM01:recno>0 }	 
     @ xRow+=00.0,xCol+=06.8 DCPUSHBUTTON CAPTION "Delete"           SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordDelete( "dxcam01.codcli="+StoQ(oDXCAM01:codcli)       ), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )                                    }  TOOLTIP "Delete Record"           WHEN {|| oDXCAM01:recno>0 }   


**     @ xRow+=00.0,xCol+=12.8 DCPUSHBUTTON CAPTION "Update"           SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordUpdate( "dxcam01.codcli="+StoQ(oDXCAM01:codcli),,.T.  ), lEdit := .f., oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )                                    }  TOOLTIP "Update Record"   	   WHEN {|| lEdit            }   
**     @ xRow+=00.0,xCol+=06.8 DCPUSHBUTTON CAPTION "Insertar"         SIZE 06.80,1.8   ACTION {|| oDXCAM01:RecordInsert( "dxcam01.codcli="+StoQ(oDXCAM01:codcli)       ), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )                                  }  TOOLTIP "Insert Record"   			                    

     @ xRow+=00.0,xCol+=16.0 DCPUSHBUTTON CAPTION "Refresh;Tabla"    SIZE 08.80,1.8   ACTION {|| oDXCAM01:Refresh( ), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} )   }   ALIGNCAPTION BS_MULTILINE		WHEN {|| oDXCAM01:recno > 0 }
     @ xRow+=00.0,xCol+=08.8 DCPUSHBUTTON CAPTION "Refresh;Picture"  SIZE 08.80,1.8   ACTION {|| DC_BitMapDraw( oClipPicture, oDXCAM01:FieldGetPicture() ) 							  }   ALIGNCAPTION BS_MULTILINE
     @ xRow+=00.0,xCol+=08.8 DCPUSHBUTTON CAPTION "Refresh;Browse"   SIZE 08.80,1.8   ACTION {|| obrDXCAM01:Refresh( ), oBrowse:RefreshAll(), DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE} ) }   ALIGNCAPTION BS_MULTILINE		WHEN {|| oDXCAM01:recno > 0 }

 
**  DCGETOPTIONS  NOEDITNAVKEYS {|| .F.  }
**  DCGETOPTIONS NOEDITNAVKEYS {||.f.} TABSTOP NOSUPERVISE
  
   DCGETOPTIONS  COLORGETS {{GRA_CLR_BLACK,GRA_CLR_YELLOW},{GRA_CLR_BLUE,GRA_CLR_WHITE}} ;
                 HILITEGETS GRA_CLR_RED ;
                 DISABLEDCOLOR GRA_CLR_WHITE
                 
   DCREAD GUI FIT TITLE "Test SQLRecordSet"  APPWINDOW oDialog PARENT @oDlg ;
          OPTIONS GetOptions ;
          _MODAL !EMPT(xCodCli) ;
          eval {|| oBrowse:RefreshAll() }
                   **DC_BitMapDraw( oClipPicture, oDXCAM01:FieldGetPicture("foto") ) }

  
  close DATABASE oDXCAM01, obrDXCAM01
  oConn:Close()
return threadobject():quit() 

FUNCTION cChar( cValor )
if len(cValor)>20
 **  dcqout "cValor 1:",cValor
END if
cValor := STRTRAN(cValor,"'",'"')
cValor := STRTRAN(cValor,"",'u')
cValor := STRTRAN(cValor,chr(144),'E')  && ""
cValor := STRTRAN(cValor,chr(165),"")  &&'')
cValor := STRTRAN(cValor,"","N") &&'')
cValor := STRTRAN(cValor,"",'')
cValor := STRTRAN(cValor,"",'')

if len(cValor)>20
  ** dcqout "cValor 2:",cValor
END if

return cValor

FUNCTION RecordGet( aApp, GetList )
lEdit := .F.    
oDXCAM01:RecordGet()

DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE,GETLIST_STATIC} )
DC_BitMapDraw( oClipPicture, oDXCAM01:FieldGetPicture("foto") )

return nil  &&SetAppFocus(oBuscar)                  


FUNCTION aCliente( )    
return { {"dxcam01.codcli"   ,"N;CLIENTE",05,"@!"},;
         {"dxcam01.nombre"   ,";NOMBRES"  ,14,"@!"},;
         {"dxcam01.apell"    ,";APELLIDOS",14,"@!"},;
         {"dxcam01.direccion",";DIRECCION",14,"@!"},;
         {"dxcam01.estatus"  ,"",01       ,"@!"} }


STATIC FUNCTION KeySeekBrow( nKey, b, oGet, oBrowse, cSeek, oData )

cSeek := oGet:EditBuffer()

do CASE
   CASE nKey = xbeK_TAB
   CASE nKey = xbeK_ENTER
   CASE nKey = xbeK_UP        .AND. !oData:Bof( )
        oBrowse:up()       ; oBrowse:RefreshAll( )
   CASE nKey = xbeK_DOWN      .AND. !oData:eof( )
        oBrowse:down()     ; oBrowse:RefreshAll( )
   CASE nKey = xbeK_PGUP      .AND. !oData:Bof( )
        oBrowse:pageup()   ; oBrowse:RefreshAll( )
   CASE nKey = xbeK_PGDN      .AND. !oData:eof( )
        oBrowse:pagedown() ; oBrowse:RefreshAll( )
   CASE ((nKey > 31 .AND. nKey < 254 ) .OR. nKey == xbeK_BS .OR. nKey == xbeK_DEL)
        if oData:locate(ALLTRIM(cSeek))
           oBrowse:RefreshAll()
        END if
END CASE
return SetAppFocus( oGet )
*** END OF EXAMPLE ***


FUNCTION Like(cSeek_,oConn_,oDb_, cOrderBy_)
local cxSeek := ALLTRIM(cSeek_)
if !empt(cSeek_)
   cxSeek :=  if(oDb_:FieldType(cOrderBy_) = "D","%"+DtoQ(CTOD(cxSeek),.F.)+"%","%"+cxSeek+"%")
   RECORD REFRESH oDb_ ; &&        INNER JOIN 'dxcam01e' ON 'dxcam01.codcli = dxcam01e.codcli' ;
   WHERE "dxcam01."+cOrderBy_ ;
   LIKE cxSeek ; &&        CHANGE ;         ORDER BY 'dxcam01.nombreprod' ;
   CONNECTION oConn_ 
else
   RECORD REFRESH oDb_ ;
   INNER JOIN 'dxcam01e' ON 'dxcam01.codcli = dxcam01e.codcli' ; 
   WHERE "dxcam01."+cOrderBy_ ;
   CHANGE ;
   CONNECTION oConn_
END if
cSeek_ := SPACE(100)            
return oDb_



STATIC FUNCTION ValidarCampo(oCaso,aApp,GetList)

do CASE
   CASE oCaso = 1 .AND. EMPT(oDXCAM01:codcli) .AND. DC_ReadGuiLastKey( GetList ) = xbeK_ENTER
        DC_WinAlert("Codigo de Producto no Puede Estar en Blanco, Verifique...") 
        DC_ReadGuiLastKey( GetList,0 )
        return .F.
   CASE oCaso = 1 .AND. !EMPT(oDXCAM01:codcli) &&&.AND. DC_ReadGuiLastKey( GetList ) = xbeK_ENTER
        oDXCAM01:seek(oDXCAM01:codcli,"dxcam01.codcli")
        DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE,GETLIST_STATIC} )

      **  RECORD REFRESH oDXCAM01  WHERE "dxcam01.codcli="+StoQ(oDXCAM01:codcli)  CONNECTION oConn eval {|| DC_GetRefresh(GetList,,DCGETREFRESH_TYPE_EXCLUDE,{GETLIST_BROWSE,GETLIST_STATIC} ) }
ENDCASE
DC_ReadGuiLastKey( GetList,0 )
return .T.

PROCEDURE DbeSys()
DC_LoadRdds()
DbeSetDefault( "FOXCDX" )
return
